console-setup (1.237ubuntu3) resolute; urgency=medium

  [ Samuel Thibault ]
  * Keyboard/kbdcompiler: Fix checking ckbcomp success.
  * Keyboard/ckbcomp: Support symbols = [...].

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Mar 2026 16:21:56 +0200

console-setup (1.237ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:24:29 +0100

console-setup (1.237ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2098981). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - Add noudeb build profile
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - xmlreader: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data from xkb-data.
    - Add Keyboard/Makefile rule to build pc105.tree
    - debian/control: Build depend on keymapper
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.{postinst, prerm}: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Include pc105.tree for ubiquity
    - Keyboard/keymaptree tool to analyze key maps
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Map ppc64el/* to XKBMODEL=pc105
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs
      to call setupcon without depending on it.
    - Added templates for keyboard detection
    - keyboard-configuration.config: While sourcing config files to re-seed debconf, 
      treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout question.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default layout to be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - Make sure we give a meaningful name to ch layouts: "Switzerland"
      instead of "German (Switzerland), since it includes French too."
    - Generate a locale locally for translating keyboard names in kbdnames-maker.
    - Make COPYRIGHT a symlink to debian/copyright
    - Add noudeb build profile re
    - Generate a locale locally for translating keyboard names in kbdnames-maker.
    - Generated changes in debian/po/templates.pot (This is the diff produced by dpkg-buildpkg -S -sa -d.)

  * Dropped changes:
    - Reinstated dh_clean in d/rules which was probably commented out by mistake

 -- Anshul Singh <anshul.singh@canonical.com>  Wed, 04 Jun 2025 16:00:37 +0530

console-setup (1.237) unstable; urgency=medium

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 May 2025 15:18:09 +0200

console-setup (1.236) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by Francisco Javier Carro Orgeira
  * French (fr.po) by Baptiste Jammet
  * Galician (gl.po) by Parodper
  * Croatian (hr.po) by Valentin Vidic
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Kalyani Kenekar
  * Uyghur (ug.po) by Abduqadir Abliz
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 00:53:02 +0200

console-setup (1.235) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Advertise DejaVu fonts.
  * Regenerate/update documentation ('Hackers Guide for console-setup').

  [ Updated translations ]
  * Arabic (ar.po) by Amr Walryh
  * Catalan (ca.po) by poc senderi
  * Estonian (et.po) by Priit Jõerüüt
  * Hebrew (he.po) by Yaron Shahrabani
  * Hungarian (hu.po) by Szia Tomi
  * Icelandic (is.po) by Sveinn í Felli
  * Japanese (ja.po) by Sadaharu Wakisaka
  * Georgian (ka.po) by Temuri Doghonadze
  * Lithuanian (lt.po) by Rimas Kudelis
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Matthaiks
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Romanian (ro.po) by Vasile Cristian-Ilie
  * Serbian (sr.po) by Мирослав Николић
  * Swedish (sv.po) by Anders Jonsson
  * Turkish (tr.po) by Fatih Altun
  * Ukrainian (uk.po) by Hotripak
  * Vietnamese (vi.po) by Dagon Vn

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 08 Mar 2025 23:10:52 +0100

console-setup (1.234) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by Maytham
  * Belarusian (be.po) by vics
  * Persian (fa.po) by Danial Behzadi
  * Finnish (fi.po) by Ricky Tigg
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by omwani
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Tamil (ta.po) by தமிழ்நேரம்

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Feb 2025 22:19:40 +0100

console-setup (1.233) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by peylight
  * French (fr.po) by Baptiste Jammet
  * Galician (gl.po) by Víctor Posada
  * Hungarian (hu.po) by Szia Tomi
  * Icelandic (is.po) by Sveinn í Felli
  * Japanese (ja.po) by Sadaharu Wakisaka
  * Occitan (oc.po) by Quentin PAGÈS
  * Russian (ru.po) by Yuri Kozlov
  * Simplified Chinese (zh_CN.po) by Weng Qizhi

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 22:30:53 +0100

console-setup (1.232) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:21:36 +0100

console-setup (1.231) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Greek (el.po) by mpt.c
  * Hindi (hi.po) by AYUSHMAN TIWARI
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze
  * Latvian (lv.po) by GGLVXD
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Turkish (tr.po) by Fatih Altun
  * Simplified Chinese (zh_CN.po) by Zi Jiaxu

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Oct 2024 21:29:35 +0200

console-setup (1.230) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * DEP17: Move aliased files to /usr. Closes: #1064299.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 11 Jul 2024 19:05:44 +0200

console-setup (1.229) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fonts/bdf2psf: Avoid numerous >32bit portability warning.

  [ Holger Wansing ]
  * Stop building kfreebsd packages (arch has been removed from the archive).
    Closes: #619328.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 06 Jul 2024 13:23:37 +0200

console-setup (1.228) unstable; urgency=medium

  [ Steve Langasek ]
  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227. Closes: Bug#1072204, #848972.

  [ Cyril Brulebois ]
  * Rebuild against newer xkb-data (closes: #1073857), with thanks to
    Christian Stewart for the bug report.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 Jun 2024 00:43:24 +0200

console-setup (1.227) unstable; urgency=medium

  * Team upload

  [ Jakub Wilk ]
  * typos in documentation (closes: 1065561)

  [ Samuel Thibault ]
  * Fix key types, notably altgr not working with shift.
  * Add dejavu fonts rasterized from the DejaVu vector font. This notably
    provides fonts larger than 32 pixels, usable with linux ≥ 6.9.
    (closes: 816111)
  * rules,control: Add unifont and fonts-dejavu-mono to console-setup-linux
    and console-setup-freebsd's Static-built-Using.
  * console-setup.config, font-switch: Avoid warning on systems that don't
    have lsmod (closes: 1071823)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 30 May 2024 10:54:36 +0200
console-setup (1.226ubuntu3) plucky; urgency=medium

  [ Alexander Amelkin ]
  * setupcon: fix logic that finds the font file to avoid duplication
    (LP: #2086110)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 10 Jan 2025 14:31:46 -0300

console-setup (1.226ubuntu2) oracular; urgency=medium

  * Source-only upload to rebuild against new xkb-data version

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 03 Jul 2024 15:45:33 +0200

console-setup (1.226ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054681). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.{postinst, prerm}: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs
      to call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection
    - debian/control: drop freebsd-specific packages
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default
      layout to be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - Make COPYRIGHT a symlink to debian/copyright
    - Don't cat over the keymaps; they're already moved to the right place.
    - Include pc105.tree for ubiquity
    - Keyboard/keymaptree tool to analyze key maps
    - Add Keyboard/Makefile rule to build pc105.tree
    - debian/control: Build depend on keymapper
    - Make sure we give a meaningful name to ch layouts: "Switzerland"
      instead of "German (Switzerland), since it includes French too.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with
      accurate data from xkb-data.
    - xmlreader: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Add noudeb build profile

  * New changes
    - generated changes in debian/po/templates.pot
      (This is the diff produced by dpkg-buildpkg -S -sa -d.)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 26 Feb 2024 13:58:31 +0100

console-setup (1.226) unstable; urgency=medium

  * Team upload

  * setupcon: fix mistaken $((  (closes: 1063518)

 -- Philip Hands <phil@hands.com>  Fri, 09 Feb 2024 15:45:38 +0100

console-setup (1.225) unstable; urgency=medium

  * Team upload

  [ Philip Hands ]
  * eliminate use of egrep and \# (closes: #1019660)

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Polish (pl.po) by Matthaiks
  * Swedish (sv.po) by bittin1ddc447d824349b2
  * Turkish (tr.po) by Oğuz Ersen
  * Ukrainian (uk.po) by Сергій

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Feb 2024 22:42:09 +0100

console-setup (1.224) unstable; urgency=medium

  * Team upload

  [ Alper Nebi Yasak ]
  * Add Taiwanese as an xkb-keymap answer for taiwanese(indigenous) and
    default to it for zh_TW as suggested by Andrew Lee (李健秋).

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Lithuanian (lt.po) by Rimas Kudelis
  * Marathi (mr.po) by omwani
  * Dutch (nl.po) by Frans Spiesschaert
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Turkish (tr.po) by Fatih Altun
  * Ukrainian (uk.po) by Сергій
  * Simplified Chinese (zh_CN.po) by Zi Jiaxu

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 27 Jan 2024 22:25:36 +0100

console-setup (1.223ubuntu2) noble; urgency=medium

  * Rebuild against latest xkeyboard-config

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:00:50 -0500

console-setup (1.223ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2049885). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.{postinst, prerm}: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs
      to call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection
    - debian/control: drop freebsd-specific packages
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default
      layout to be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - Make COPYRIGHT a symlink to debian/copyright
    - Don't cat over the keymaps; they're already moved to the right place.
    - Include pc105.tree for ubiquity
    - Keyboard/keymaptree tool to analyze key maps
    - Add Keyboard/Makefile rule to build pc105.tree
    - debian/control: Build depend on keymapper
    - Make sure we give a meaningful name to ch layouts: "Switzerland"
      instead of "German (Switzerland), since it includes French too.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with
      accurate data from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Add noudeb build profile
    - generated file Keyboard/KeyboardNames.pl

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 19 Jan 2024 21:37:06 +0100

console-setup (1.223) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Gujarati (gu.po) by Kartik Mistry
  * Malayalam (ml.po) by Anish Sheela
  * Romanian (ro.po) by NicolaeFericitu
  * Turkish (tr.po) by Fatih Altun

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 21:22:37 +0200

console-setup (1.222ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2025363). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga, debian/console-setup-linux.setvtrgb.service,
      debian/rules, debian/console-setup-linux.{postinst, prerm}: use Ubuntu's
      virtual terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection
    - debian/control: drop freebsd-specific packages
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default layout to
      be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree
    - Include pc105.tree for ubiquity; make sure it gets built.
    - debian/control: Build depend on keymapper
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Add noudeb build profile
  - Remove obsoleted Vcs-Bzr field

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 20 Jul 2023 14:59:22 +0200

console-setup (1.222) unstable; urgency=medium

  * Team upload
  * New no-change upload, since the NMU failed to build
    - I suspect the '+nmu1' in the version string has something to do
      with it. Also the BTS seems to not understand that version string,
      so again: closes: #1038759, #1038729 .

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 21 Jun 2023 21:34:22 +0200

console-setup (1.221+nmu1) unstable; urgency=medium

  * Non-maintainer upload
  * No-change upload to build against xkb-data 2.38-2
    (merge request !19, closes: #1038759, #1038729)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 21 Jun 2023 19:20:15 +0200

console-setup (1.221ubuntu2) mantic; urgency=medium

  * Rebuild against latest xkeyboard-config.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Jun 2023 18:58:06 +0100

console-setup (1.221ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2020749). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga, debian/console-setup-linux.setvtrgb.service,
      debian/rules, debian/console-setup-linux.{postinst, prerm}: use Ubuntu's
      virtual terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection
    - debian/control: drop freebsd-specific packages
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default layout to
      be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree
    - Include pc105.tree for ubiquity; make sure it gets built.
    - debian/control: Build depend on keymapper
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Add noudeb build profile
  - Remove obsoleted Vcs-Bzr field

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 25 May 2023 14:30:01 +0000

console-setup (1.221) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Indrani Roy
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 May 2023 23:30:42 +0200

console-setup (1.220) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Norwegian Bokmal (nb.po) by Kjetil Sørlund
  * Norwegian Nynorsk (nn.po) by Kjetil Sørlund

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 07 May 2023 12:41:53 +0200

console-setup (1.219) unstable; urgency=medium

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:01:53 +0200

console-setup (1.218) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Vietnamese (vi.po) by tictactoe

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 14 Mar 2023 21:19:40 +0100

console-setup (1.217ubuntu3) lunar; urgency=medium

  * Rebuild against latest xkeyboard-config

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 20:24:27 -0500

console-setup (1.217ubuntu2) lunar; urgency=medium

  * Make Keyboard/keymaptree executable again.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Feb 2023 14:15:56 +0100

console-setup (1.217ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Feb 2023 12:23:05 +0100

console-setup (1.217) unstable; urgency=medium

  [ Updated translations ]
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

  [ Samuel Thibault ]
  * control: Move unifont and unifont-bin build-deps to b-d.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 15 Feb 2023 17:18:52 +0100

console-setup (1.216) unstable; urgency=medium

  * Fonts/Makefile: Generate unifont.bdf from the getting-updates unifont
    package. Closes: #1027446

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Jan 2023 19:49:03 +0100

console-setup (1.215) unstable; urgency=medium

  * Team upload.
  * Keyboard/ckbcomp: Fix dead_{ogonek,caron,breve,doubleacute} in layouts.
    See kbd's ./src/libkeymap/syms.synonyms.h about them being aliases for
    other dead keys.
  * Keyboard/{ckbcomp,compose_translator}: Special-case dead_acute +
    dead_diaeresis for greek layouts. Closes: #1026986

 -- Samuel Thibault <sthibault@debian.org>  Fri, 30 Dec 2022 00:36:06 +0100

console-setup (1.214) unstable; urgency=medium

  * Team upload.
  * Keyboard/compose_translator: Do not use Linux aliases for the diacritical
    and base, they don't actually seem supported there by kbd. Closes: #1027247

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Dec 2022 10:15:58 +0100

console-setup (1.213) unstable; urgency=medium

  * Team upload.
  * Keyboard/compose_translator: Fix reading ACM files in UTF-8.
  * Keyboard/{ckbcomp,compose_translator}: Fix supporting dead accents in Linux.
    Closes: #1026986
  * Keyboard/Makefile: Add some composition rules for KOI8.
  * Keyboard/{Makefile,ckbcomp,ckbcomp-mini,compose_translator}: Use compose
    files when console is in UTF-8 mode too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Dec 2022 23:05:49 +0100

console-setup (1.212) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * debian/console-setup-linux.console-setup.service: Make display managers
    wait for console-setup to start, otherwise setupcon cannot work once the
    console has switched to graphical mode.

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 13 Dec 2022 12:15:44 +0100

console-setup (1.211) unstable; urgency=medium

  * Team upload.

  * rules: get version from xkb-data.
  * control: make keybor-configuration depend on the same xkb-data version as
    during build, to make sure we have a coherent set of items in
    KeyboardNames.pl. Closes: #1012041

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Oct 2022 17:14:22 +0200

console-setup (1.210ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 10:25:03 +0200

console-setup (1.210) unstable; urgency=medium

  * Team upload.

  * Pre-depend on debconf | debconf-2.0 instead of just debconf, to allow
    cdebconf transition. Closes: #1006491

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 21 Aug 2022 17:26:20 +0200

console-setup (1.209) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Adapt lintian-overrides to recent 'pointed hints' changings.

  [ Raf Czlonka ]
  * Fix script path in usage message.

  [ Updated translations ]
  * Basque (eu.po) by Gontzal Manuel Pujana Onaindia
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 18 Jul 2022 14:23:48 +0200

console-setup (1.208) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Welsh (cy.po) by Ceiri Wyn Tudur
  * Danish (da.po) by Joe Hansen
  * Hebrew (he.po) by Yaron Shahrabani
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Ukrainian (uk.po) by Taras Panchenko
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

  [ Christian Göttsche ]
  * Drop splashy/usplash workaround.

  [ Diego Escalante Urrelo ]
  * setupcon: Check files are regular files before copying.

  [ Holger Wansing ]
  * Move COPYRIGHT file into debian/copyright, and reinstate COPYRIGHT as a
    symlink to debian/copyright. Fixes lintian tag.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 26 May 2022 23:29:31 +0200

console-setup (1.207) unstable; urgency=medium

  * Team upload.
  * More reproducibility fixes against umask.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Nov 2021 22:05:42 +0100

console-setup (1.206) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * ckbcomp: When translating X symbols to kernel symbols, ignore Unicode
    code points above 0xFFFF. Those code points aren’t supported by the
    Linux kernel, so loadkeys won’t be able to load them, or even parse
    the value. This affects the fr(bepo_afnor) keymap, which includes the
    copyleft symbol U+1F12F.
    Thanks to Jean-Louis Biasini for the bug report and Anisse Astier for the
    initial patch. (Closes: #968195)

  [ Reiner Herrmann ]
  * Fix reproducibility against file ordering.
  * Fix reproducibility against umask. Closes: #825138.

  [ Peter Hutterer ]
  * Keyboard/ckbcomp: use the "base" XKB files, not "xorg".

  [ Samuel Thibault ]
  * Keyboard/kbdcompiler: Avoid 'custom' layout. Closes: #997110.
  * console-setup-linux.lintian-overrides: Suppress warnings about national
    encodings.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 18:13:37 +0100

console-setup (1.205ubuntu3) jammy; urgency=medium

  * Keyboard/kbdcompiler:
    - backport a build fix from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 17:39:53 +0100

console-setup (1.205ubuntu2) jammy; urgency=medium

  * debian/preprocessor:
    - backport Debian change to use mktemp instead of tempfile, should fix
      the ubiquity build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Nov 2021 17:17:37 +0100

console-setup (1.205ubuntu1) impish; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Merge from Debian unstable. Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 11 Aug 2021 16:40:34 +0200

console-setup (1.205) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Finnish (fi.po) by Kimmo Kujansuu

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 23 Jul 2021 19:05:53 +0200

console-setup (1.204) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Lithuanian (lt.po) by Gediminas Murauskas
  * Turkish (tr.po) by Fatih Altun

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 16:30:43 +0200

console-setup (1.203) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by Fahim Sabah
  * Greek (el.po) by Michalis
  * Persian (fa.po) by Sina Carnelious
  * Japanese (ja.po) by Nozomu KURASAWA
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 May 2021 22:30:16 +0200

console-setup (1.202) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Hindi (hi.po) by Aryan L
  * Lithuanian (lt.po) by Kornelijus Tvarijanavičius

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 20 Mar 2021 21:54:30 +0100

console-setup (1.201ubuntu2) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Feb 2021 14:28:53 +0100

console-setup (1.201ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Feb 2021 13:10:01 +0100

console-setup (1.201) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Bengali (bn.po) by Indrani Roy
  * Catalan (ca.po) by d
  * Danish (da.po) by Michael Millet
  * Spanish (es.po) by Javier FernÃ¡ndez-Sanguino
  * Estonian (et.po) by Kristjan RÃ¤ts
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by KushagraKarira
  * Kabyle (kab.po) by Selyan Sliman Amiri
  * Latvian (lv.po) by Tranzistors
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by TTT DEAL
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 18 Feb 2021 22:42:35 +0100

console-setup (1.200) unstable; urgency=medium

  * Team upload.

  * Fix missing changelog entries for 1.199.

  [ Updated translations ]
  * Icelandic (is.po) by Sveinn Ã Felli
  * Romanian (ro.po) by Sergiu
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 31 Dec 2020 22:19:38 +0100

console-setup (1.199) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Remove duplicated Section: and Priority: fields.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Greek (el.po) by EG
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Indonesian (id.po) by Andika Triwidada
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Kurdish (ku.po) by Lecwan Munzur
  * Norwegian Bokmal (nb.po) by Allan Nordhøy
  * Dutch (nl.po) by Frans Spiesschaert
  * Occitan (oc.po) by Quentin PAGÈS
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Brazilian Portuguese (pt_BR.po) by Adriano Rafael Gomes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Kristoffer Grundström

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Dec 2020 02:02:30 +0100

console-setup (1.198ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 09 Nov 2020 16:03:40 +0100

console-setup (1.198) unstable; urgency=medium

  * Team upload

  * Add Berber (Latin) keymap for new language Kabyle.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Italian (it.po) by Milo Casagrande
  * Marathi (mr.po) by Prachi Joshi
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 29 Oct 2020 18:59:47 +0100

console-setup (1.197) unstable; urgency=medium

  * Team upload

  [ Anton Zinoviev ]
  * standard.equivalents: map more aggressively the box drawing symbols.
    Mappings for ballot symbols.  Thanks to Nick Black, closes: #965029.
  * sync the Terminus font with the xfonts-terminus package (new upstream
    version with new font size 18x10, apply the patches dv1.diff (modified
    Cyrillic letters d and v) and td1.diff (centered tilde)).
  * console-setup.templates: remove references for the console-tools
    package which is no longer in the Debian archive.  Do not refer to the
    font size at boot time which is irrelevant with framebuffer.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Greek (el.po) by root
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by Abbas Baharforoosh
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Yogesh
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Bartosz Feński
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Anders Jonsson
  * Uyghur (ug.po) by Abdusalam
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 21 Sep 2020 21:32:54 +0200

console-setup (1.196) unstable; urgency=medium

  * Team upload

  [ Sergey V. Udaltsov ]
  * Sort out licensing issue for Latvian.

  [ Anton Zinoviev ]
  * Keyboard/ckb: update with keyboard data of version 2.29 of xkb files.
    (This change is not relevant for the binary packages in Debian.)

  [ Laurent Vivier ]
  * Drop macintosh_old layout and replace it with the macintosh layout.

  [ Holger Wansing]
  * Build-depend on debhelper >= 9.20160709, and remove dependency on empty
    transitional package dh-systemd. Closes: #958612

  [ Updated translations ]
  * Malayalam by Fahad Shihab
  * Tamil by Jeyanthinath MuthuRam

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Jul 2020 20:23:26 +0200

console-setup (1.195ubuntu2) groovy; urgency=medium

  * Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
    Terminus font, at multitiple sizes, and it correctly selects low/high
    dpi font size, based on screen resolution. LP: #1880266

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 23 May 2020 04:58:43 +0100

console-setup (1.195ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - debian/control: Build depend on keymapper
    - debian/keyboard-configuration.config:
      - change back the french default layout to be fr+oss and not fr+latin9
        the change was dropped by error in a previous merge
  * Dropped changes, included in Debian:
    - keyboard-configuration.config:
      replace not intuitive second lt(us) layout with us(altgr-intl),
      which contains Euro (€) and other symbols, often used in Lithuania.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 17:17:51 -0700

console-setup (1.195) unstable; urgency=medium

  [ Mantas Kriaučiūnas ]
  * Fix Lithuanian layout Closes: #951387
    in keyboard-configuration.config: replace not intuitive second lt(us)
    layout with us(altgr-intl), which contains Euro (€) and other symbols,
    often used in Lithuania. us layout is used by the majority of
    Lithuanian users as second layout.

  [ D-I role ]
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Mar 2020 13:34:12 +0000

console-setup (1.194ubuntu3) focal; urgency=medium

  [ Mantas Kriaučiūnas ]
  * keyboard-configuration.config:: 
    replace not intuitive second lt(us) layout with us(altgr-intl),
    which contains Euro (€) and other symbols, often used in Lithuania.
    (lp: #1863001)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 11:10:06 +0100

console-setup (1.194ubuntu2) focal; urgency=medium

  * debian/keyboard-configuration.config:
    - change back the french default layout to be fr+oss and not fr+latin9
      the change was dropped by error in a previous merge

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Dec 2019 15:09:57 +0100

console-setup (1.194ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts.  Should be fixed by
      refactoring to not have a keyboard-configuration package that needs to
      call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection.
    - debian/control: drop freebsd-specific packages.
    - debian/control: we also need xkb-data-i18n as a Build-Depends-Indep to
      build a complete set of translated keyboard layout/variant names.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105.
    - Set default layout for Kurdish to tr(ku).
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"
      layouts for the udebs, since we don't use this debconf question in Ubuntu
      and all layouts are selectable.
    - Make COPYRIGHT a symlink to debian/copyright.
    - Don't cat over the keymaps; they're already moved to the right place.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data
      from xkb-data.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - Make sure we give a meaningful name to ch layouts: "Switzerland" instead
      of "German (Switzerland), since it includes French too.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
  * Dropped changes:
    - kbdnames-maker: Call `{bind,}textdomain` after switching locale.
  * debian/control: Build depend on keymapper

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Nov 2019 15:34:42 +0100

console-setup (1.194) unstable; urgency=medium

  * Team upload

  [ Julien Cristau ]
  * keyboard_present: don't check for Linux 1.x.  Thanks, Ansgar!

  [ Updated translations ]
  * Portuguese (pt.po) by Miguel Figueiredo
  * Tamil (ta.po) by leela
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Nov 2019 22:42:11 +0100

console-setup (1.193) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Tajik (tg.po) by Victor Ibragimov

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 04 Aug 2019 12:08:32 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog bdf2psf`.
